#ifndef id2802AD0DCAF7443CA095A5AAF417015E
#define id2802AD0DCAF7443CA095A5AAF417015E

#define STR1_LOC(x) #x
#define STRINGIZE(x) STR1_LOC(x)

#if defined(DK_64_BIT)
#	define DK_BIT_STRING "64-bit"
#elif defined(DK_32_BIT)
#	define DK_BIT_STRING "32-bit"
#else
#	error "No registry size defined"
#endif

#if defined(DK_ARM)
#	if defined(DK_32_BIT)
#		define DK_ARCH_STRING "ARMv" STRINGIZE(DK_ARM_VERSION)
#	else
#		define DK_ARCH_STRING "ARM"
#	endif
#elif defined(DK_X86)
#	define DK_ARCH_STRING "x86"
#elif defined(DK_X86_64)
#	define DK_ARCH_STRING "amd64"
#elif defined(DK_IA64)
#	define DK_ARCH_STRING "ia64"
#else
#	error "No architecture defined"
#endif

#if defined(DK_LINUX)
#	define DK_OS_STRING "Linux"
#elif defined(DK_WINDOWS)
#	define DK_OS_STRING "Windows"
#elif defined(DK_ANDROID)
#	define DK_OS_STRING "Android"
#endif

#if defined(DK_PC)
#	define DK_DEVICE_STRING "PC"
#elif defined(DK_MOBILE)
#	define DK_DEVICE_STRING "Mobile"
#else
#	error "No device type defined"
#endif

#endif
